## xmp 2.5.1

=== Makefile ===
# Extended Module Player toplevel Makefile
# $Id: Makefile,v 1.33 2007/11/28 11:38:58 cmatsuoka Exp $

# DIST		distribution package name
# DFILES	standard distribution files 
# DDIRS		standard distribution directories

TOPDIR	= .
XCFLAGS	= -Iloaders/include
TEST_XM	=
DIST	= xmp-$(VERSION)
MODULES	= anticipation.mod
DFILES	= README INSTALL configure configure.in Makefile Makefile.rules.in \
	  $(MODULES)
DDIRS	= lib docs etc src scripts
CFILES	=
DCFILES	= Makefile.rules.old config.log config.status config.cache

all: xmp

xmp:
	cd src && $(MAKE)

include Makefile.rules

distclean::
	rm -f Makefile.rules

configure: configure.in
	autoconf

install-plugin:
	$(MAKE) -C src/bmp install

install::
	@echo
	@echo "  Installation complete. To customize, copy $(SYSCONFDIR)/xmp.conf"
	@echo "  and $(SYSCONFDIR)/xmp-modules.conf to \$$HOME/.xmp/"
	@echo

uninstall:
	rm -f $(BINDIR)/xmp
	rm -f $(MANDIR)/xmp.1
	rm -f $(SYSCONFDIR)/xmp.conf $(SYSCONFDIR)/xmp-modules.conf


# Extra targets:
# 'dist' prepares a distribution package
# 'mark' marks the last CVS revision with the package version number
# 'rpm' generates a RPM package

dist:
	rm -Rf $(DIST) $(DIST).tar.gz
	mkdir $(DIST)
	$(MAKE) DISTDIR=$(DIST) subdist
	cat Makefile.rules.in | \
	sed "s/$(DATE)/`date`/" > $(DIST)/Makefile.rules.in
	mv -f Makefile.rules.in Makefile.rules.old
	cp $(DIST)/Makefile.rules.in .
	chmod -R u+w $(DIST)/*
	tar cvf - $(DIST) | gzip -9c > $(DIST).tar.gz
	rm -Rf $(DIST)
	./config.status
	touch -r Makefile.rules.old Makefile.rules.in Makefile.rules
	sync
	ls -l $(DIST).tar.gz

mark:
	cvs tag r`echo $(VERSION) | tr .- _`

Makefile.rules: Makefile.rules.in
	@if [ -f config.status ]; then \
	    ./config.status; \
	else \
	    [ -f configure ] || autoconf; \
	    ./configure; \
	fi

$(OBJS): Makefile

=== src/Makefile ===
# Extended Module Player src/Makefile
# $Id: Makefile,v 1.13 2007/10/21 12:59:15 cmatsuoka Exp $

TOPDIR	= ../
DFILES	= Makefile
_DIRS	= drivers include loaders prowizard player misc main plugin
DDIRS	= $(_DIRS) os2
CFILES	=
DCFILES	=

all install::
	@for i in $(_DIRS); do	\
		(cd $$i && $(MAKE) $@)	\
	done

include $(TOPDIR)/Makefile.rules

=== src/drivers/Makefile ===
# Extended Module Player src/drivers/Makefile
# $Id: Makefile,v 1.13 2007/11/11 16:06:52 cmatsuoka Exp $

TOPDIR	= ../..
XCFLAGS	= -I../include
OBJS	= file.o wav.o callback.o
DRV	= file.c oss_mix.c hpux.c bsd.c solaris.c oss_seq.c alsa.c alsa05.c \
	  esd.c sgi.c os2_dart.c netbsd.c openbsd.c aix.c nas.c arts.c qnx.c \
	  win32.c callback.c wav.c osx.c beos.c alsa_seq.c pulseaudio.c \
	  amiga.c
DFILES	= Makefile $(DRV) debug.c
DDIRS	=
LIB	= $(TOPDIR)/lib/libxmp.a
CFILES	=
DCFILES	=
DRVDIR	= $(TOPDIR)/lib/drivers

all: $(LIB) library

include $(TOPDIR)/Makefile.rules

beos.o: beos.c
	g++ -c $(XCFLAGS) -o beos.o beos.c

library: $(LIB)($(DRIVERS))

$(DRV:.c=.o): Makefile

arts.o: arts.c
	$(CC) $(CFLAGS) $(XCFLAGS) `artsc-config --cflags` -o $@ arts.c

include depend

=== src/misc/Makefile ===
# Extended Module Player src/misc/Makefile

TOPDIR	= ../..
XCFLAGS	= -I../include
OBJS	= control.o info.o ipc.o readdata.o load.o ppdepack.o unsqsh.o \
	  crc32.o mmcmp.o readrle.o readhuff.o readlzw.o unarc.o arcfs.o \
	  oxm.o mkstemp.o xfd.o
XDEPS	=
XLIBS	= -L$(TOPDIR)/lib -lxmp
DFILES	= Makefile $(OBJS:.o=.c)
DDIRS	=
LIB	= $(TOPDIR)/lib/libxmp.a
CFILES	= $(BINS)
DCFILES	=

all: $(LIB)

include $(TOPDIR)/Makefile.rules

$(BINS): $(TOPDIR)/lib/libxmp.a
	$(CC) $(CFLAGS) $(XCFLAGS) $@.c
	$(LD) $(LFLAGS) $@.o $(LIBS)

include depend

=== src/player/Makefile ===
# Extended Module Player src/player/Makefile
# $Id: Makefile,v 1.11 2007/10/31 23:49:58 cmatsuoka Exp $

TOPDIR	= ../..
XCFLAGS	= -DSYSCONFDIR=\"$(SYSCONFDIR)\" -I../include
OBJS	= convert.o driver.o formats.o misc.o period.o player.o \
	  readrc.o scan.o ulaw.o cruncher.o med_synth.o filter.o \
	  fmopl.o synth.o
XOBJS	= version.o $(MIXER)
XDEPS	=
DFILES	= Makefile $(OBJS:.o=.c) effects.c mixer.c player.h mix_all.c \
	  fmopl.h synth.h
DDIRS	=
LIB	= $(TOPDIR)/lib/libxmp.a
CFILES	= version.c $(DRIVERS)
DCFILES	=

all: $(LIB)

include $(TOPDIR)/Makefile.rules

version.c: $(DFILES) $(TOPDIR)/Makefile.rules
	@echo "Creating version id..."; \
	printf "char *xmp_version = \"$(VERSION)\";\n">$@; \
	printf "char *xmp_date = \"$(DATE)\";\n">>$@; \
	printf "char *xmp_build=\"Compiled by `whoami`@`hostname` `date` (`uname -sr`)\";\n">>$@

include depend

=== src/plugin/Makefile ===
# Extended Module Player src/bmp/Makefile
# $Id: Makefile,v 1.15 2007/12/03 00:04:13 cmatsuoka Exp $

TOPDIR	= ../..
XCFLAGS	= -I../include -I. -DVERSION=\"$(VERSION)\" -D_REENTRANT -fPIC \
	  -DENABLE_PLUGIN
DFILES	= Makefile xpanel.h xstuff.c bg2.xpm $(OBJS:.o=.c) xmms.c bmp.c \
	  audacious.c winamp.c resource.rc resource.h in2.h out.h
CFILES	= xmp-audacious.so xmp-bmp.so xmp-xmms.so in_xmp.dll
OBJS	= driver.o xpanel.o font1.o font2.o

WINDRES = i586-mingw32msvc-windres

default: all

include $(TOPDIR)/Makefile.rules

all: $(PLUGINS)

install:: $(addprefix install-, $(PLUGINS))

	
#
# Audacious
#

audacious: xmp-audacious.so $(OBJS)
	@true

xmp-audacious.so: $(OBJS) audacious.o $(TOPDIR)/lib/libxmp-pic.a
	$(LD) -shared -o $@ $(OBJS) audacious.o `pkg-config --libs audacious` -L$(TOPDIR)/lib/ -lxmp-pic

audacious.o: audacious.c xstuff.c
	$(CC) -c $(CFLAGS) $(XCFLAGS) `pkg-config --cflags audacious` -o $@ audacious.c

install-audacious:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir audacious`"; \
	echo "Installing xmp-audacious.so in $$DIR..."; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL) -s -m755 xmp-audacious.so "$$DIR"


#
# BMP
#

bmp: xmp-bmp.so $(OBJS)
	@true

xmp-bmp.so: $(OBJS) bmp.o $(TOPDIR)/lib/libxmp-pic.a
	$(LD) -shared -o $@ $(OBJS) bmp.o `pkg-config --libs bmp` -L$(TOPDIR)/lib/ -lxmp-pic

bmp.o: bmp.c xstuff.c
	$(CC) -c $(CFLAGS) $(XCFLAGS) `pkg-config --cflags bmp` -o $@ bmp.c

install-bmp:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir bmp`"; \
	echo "Installing xmp-bmp.so in $$DIR..."; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL) -s -m755 xmp-bmp.so "$$DIR"

#
# XMMS
#

xmms: xmp-xmms.so $(OBJS)
	@true

xmp-xmms.so: $(OBJS) xmms.o $(TOPDIR)/lib/libxmp-pic.a
	$(LD) -shared -o $@ $(OBJS) xmms.o `xmms-config --libs` -L$(TOPDIR)/lib/ -lxmp-pic

xmms.o: xmms.c xstuff.c
	$(CC) -c $(CFLAGS) $(XCFLAGS) `xmms-config --cflags` -o $@ xmms.c

install-xmms:
	@DIR="$(DESTDIR)`xmms-config --input-plugin-dir`"; \
	echo "Installing xmp-xmms.so in $$DIR..."; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL) -s -m755 xmp-xmms.so "$$DIR"

#
# Winamp
#

winamp: in_xmp.dll
	@true

in_xmp.dll: driver.o winamp.o resource.o $(TOPDIR)/lib/libxmp-pic.a resource.h
	$(LD) -shared -mwindows -o $@ driver.o winamp.o resource.o -L$(TOPDIR)/lib/ -lxmp-pic

winamp.o: winamp.c
	$(CC) $(CFLAGS) $(XCFLAGS) -o $@ winamp.c

resource.o: resource.rc resource.h
	$(WINDRES) -o$@ resource.rc


$(OBJS): Makefile

include depend

## xmp 2.7.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # Extended Module Player toplevel Makefile
-# $Id: Makefile,v 1.33 2007/11/28 11:38:58 cmatsuoka Exp $
 
 # DIST		distribution package name
 # DFILES	standard distribution files 
@@ -9,7 +8,7 @@
 XCFLAGS	= -Iloaders/include
 TEST_XM	=
 DIST	= xmp-$(VERSION)
-MODULES	= anticipation.mod
+MODULES	= "among the stars.xm"
 DFILES	= README INSTALL configure configure.in Makefile Makefile.rules.in \
 	  $(MODULES)
 DDIRS	= lib docs etc src scripts
@@ -35,13 +34,13 @@
 install::
 	@echo
 	@echo "  Installation complete. To customize, copy $(SYSCONFDIR)/xmp.conf"
-	@echo "  and $(SYSCONFDIR)/xmp-modules.conf to \$$HOME/.xmp/"
+	@echo "  and $(SYSCONFDIR)/modules.conf to \$$HOME/.xmp/"
 	@echo
 
 uninstall:
 	rm -f $(BINDIR)/xmp
 	rm -f $(MANDIR)/xmp.1
-	rm -f $(SYSCONFDIR)/xmp.conf $(SYSCONFDIR)/xmp-modules.conf
+	rm -f $(SYSCONFDIR)/xmp.conf $(SYSCONFDIR)/modules.conf
 
 
 # Extra targets:

=== docs/Makefile ===
# Extended Module Player doc/Makefile

TOPDIR	= ..
DOCS	= xmp.1
HTMLS	=
DFILES	= Makefile COPYING CREDITS README.awebug \
	  README.unsqsh README.fixloop README.trackers ChangeLog xmp.1 \
	  README.os2 pt_versions.txt st02-ok.sample
DDIRS	= formats
CFILES	=
DCFILES	=

all: docs

subdist:: docs html

include $(TOPDIR)/Makefile.rules

docs: $(DOCS)

html: $(HTMLS)

install:: docs
	@echo Installing manpages in $(DESTDIR)$(MANDIR)...
	@[ -d $(DESTDIR)$(MANDIR) ] || mkdir -p $(DESTDIR)$(MANDIR)
	$(INSTALL) -m644 xmp.1 $(DESTDIR)$(MANDIR)

=== etc/Makefile ===

TOPDIR	= ..
DFILES	= Makefile xmp.conf modules.conf xmp.spec
DDIRS	=
CFILES	=
DCFILES	=

all:

subdist:: all

include $(TOPDIR)/Makefile.rules

install::
	@echo Installing xmp.conf in $(SYSCONFDIR)...
	@[ -d $(DESTDIR)$(SYSCONFDIR) ] || mkdir -p $(DESTDIR)$(SYSCONFDIR)
	$(INSTALL) -m644 xmp.conf $(DESTDIR)$(SYSCONFDIR)/
	$(INSTALL) -m644 modules.conf $(DESTDIR)$(SYSCONFDIR)/

=== lib/Makefile ===
# Extended Module player lib/Makefile

TOPDIR	= ..
DFILES	= Makefile
CFILES	= $(MYLIB) $(MYLIB:.a=-pic.a)
DCFILES	= 
MYLIB	= libxmp.a

all: $(MYLIB)

include $(TOPDIR)/Makefile.rules

$(MYLIB):
	$(MAKE) -C $(TOPDIR)/src

install::

=== src/Makefile ===
# Extended Module Player src/Makefile

TOPDIR	= ../
DFILES	= Makefile
_DIRS	= drivers include loaders player misc main plugin
DDIRS	= $(_DIRS) os2 win32
CFILES	=
DCFILES	=

all install::
	@for i in $(PLATFORM_DIR) $(_DIRS); do	\
		(cd $$i && $(MAKE) $@)	\
	done

include $(TOPDIR)/Makefile.rules

=== src/drivers/Makefile ===
--- 
+++ 
@@ -1,13 +1,12 @@
 # Extended Module Player src/drivers/Makefile
-# $Id: Makefile,v 1.13 2007/11/11 16:06:52 cmatsuoka Exp $
 
 TOPDIR	= ../..
 XCFLAGS	= -I../include
 OBJS	= file.o wav.o callback.o
-DRV	= file.c oss_mix.c hpux.c bsd.c solaris.c oss_seq.c alsa.c alsa05.c \
+DRV	= file.c oss.c hpux.c bsd.c solaris.c oss_seq.c alsa.c alsa05.c \
 	  esd.c sgi.c os2_dart.c netbsd.c openbsd.c aix.c nas.c arts.c qnx.c \
 	  win32.c callback.c wav.c osx.c beos.c alsa_seq.c pulseaudio.c \
-	  amiga.c
+	  amiga.c sndio.c
 DFILES	= Makefile $(DRV) debug.c
 DDIRS	=
 LIB	= $(TOPDIR)/lib/libxmp.a

=== src/include/Makefile ===
# Extended Module Player src/include/Makefile

TOPDIR	= ../..
DFILES	= Makefile config.h.in xmp.h common.h effects.h period.h driver.h \
	  mixer.h xxm.h getopt.h convert.h list.h readhuff.h readrle.h \
	  readlzw.h loader.h
DDIRS	=
CFILES	=
DCFILES	= config.h

all:

include $(TOPDIR)/Makefile.rules

=== src/loaders/Makefile ===
# Extended Module Player src/loaders/Makefile

TOPDIR	= ../..
XCFLAGS	= -I../include
LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o alm_load.o amd_load.o rad_load.o \
	  ult_load.o mdl_load.o it_load.o stx_load.o pt3_load.o sfx_load.o \
	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
	  psm_load.o stim_load.o mmd1_load.o mmd3_load.o \
	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
	  arch_load.o sym_load.o dtt_load.o mgt_load.o med3_load.o \
	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
	  coco_load.o pw_load.o
OBJS	= common.o iff.o itsex.o asif.o $(LOADERS)
DFILES	= Makefile $(OBJS:.o=.c) ftm_load.c med2_load.c \
	  asif.h far.h iff.h imf.h it.h liq.h load.h med.h mod.h \
	  mtm.h ptm.h rtm.h s3m.h stm.h stx.h xm.h
_DIRS	= prowizard
DDIRS	= $(_DIRS)
LIB	= $(TOPDIR)/lib/libxmp.a
CFILES	=
DCFILES	= 

all:: $(LIB)

all install::
	@for i in $(_DIRS); do \
		(cd $$i && $(MAKE) $@) \
	done


include $(TOPDIR)/Makefile.rules

include depend

=== src/main/Makefile ===
# Extended Module Player src/main/Makefile

TOPDIR	= ../..
XCFLAGS	= -I../include
OBJS	= getopt.o getopt1.o options.o
XDEPS	= main.c
BINS	= xmp
XLIBS	= -L$(TOPDIR)/lib -lxmp $(LIBM)
DFILES	= Makefile $(OBJS:.o=.c) main.c
DDIRS	=
CFILES	= $(BINS)
DCFILES	=

all: bins

include $(TOPDIR)/Makefile.rules

bins: $(BINS)

xmp: $(OBJS) main.o $(TOPDIR)/lib/libxmp.a
	$(LD) $(LDFLAGS) $(OBJS) main.o $(LIBS)

install:: $(BINS)
	@echo Installing binaries in $(DESTDIR)$(BINDIR)...
	@[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -s -m755 $(BINS) $(DESTDIR)$(BINDIR)

$(OBJS): $(TOPDIR)/Makefile.rules Makefile

include depend

=== src/misc/Makefile ===
# Extended Module Player src/misc/Makefile

TOPDIR	= ../..
XCFLAGS	= -I../include
OBJS	= control.o info.o readdata.o load.o ppdepack.o unsqsh.o \
	  mmcmp.o readrle.o readhuff.o readlzw.o unarc.o arcfs.o \
	  oxm.o mkstemp.o xfd.o crc32.o
DFILES	= Makefile $(OBJS:.o=.c)
DDIRS	=
LIB	= $(TOPDIR)/lib/libxmp.a
CFILES	= $(BINS)
DCFILES	=

all: $(LIB)

include $(TOPDIR)/Makefile.rules

include depend

=== src/os2/Makefile ===
# Makefile for use under OS/2
#
# Hand build by Kevin Langman
#
# This Makefile was tested with dmake only...
# I don't know if the "+del version.o" will work with GNU Make!
#

TOPDIR	= ../..
VERSION	= 2.0.2
DATE	= Wed Feb 23 09:14:49 BRST 2000


XMP_OS2_BUILDER = Kevin Langman (langman@earthling.net)

DRIVER_OBJ= file.o os2_dart.o
AR=emxomfar
ARFLAGS=cr
CC=gcc
DFILES= Makefile version.c xmp.def xmp2.txt

# -O2                  = Optimize 2
# -ffast-math          = Allows gcc to break some ANSI math rules!
# -fno-strength-reduce = ???
# -Wall                = All Warnings!
# -s                   = Remove all symbol table and relocation information
# -fomit-frame-pointer = Don't keep the frame pointer in a register
# -fpack-struct        = Pack all Structures!

# Use the fist   CFLAGS & LFLAGS to create a OPTIMIZED build!
# Use the second CFLAGS & LFLAGS to create a build that can be debugged via ICSDEBUG.exe 

CFLAGS=-O2 -Zomf -Zmt -DDRIVER_OS2DART -DHAVE_ATTRIBUTE_PACKED -funroll-loops -ffast-math -fno-strength-reduce -Wall -s -fomit-frame-pointer
# CFLAGS=-g -Zomf -Zmt -DDRIVER_OS2DART -DHAVE_ATTRIBUTE_PACKED -Wall

LFLAGS = -Zlinker /PM:VIO
# LFLAGS = -Zlinker /DEBUG -Zlinker /PM:VIO

COMPILE=$(CC) $(CFLAGS) -I../include -I../loaders/include -I..
IMPLIB=emximp

.SUFFIXES:
.SUFFIXES: .o .c

LIBS=-lmmpm2
EXENAME=xmp2.exe
DEFNAME=xmp.def
OBJ=$(DRIVER_OBJ) \
    control.o crc32.o depack.o info.o ipc.o load.o mmcmp.o unsqsh.o \
    common.o iff.o itsex.o 669_load.o ac1d_load.o alm_load.o amd_load.o \
    crb_load.o dbm_load.o digi_load.o di_load.o emod_load.o far_load.o \
    fcm_load.o flt_load.o fnk_load.o imf_load.o it_load.o kris_load.o \
    ksm_load.o liq_load.o mdl_load.o med_load.o mod_load.o mp_load.o \
    mtm_load.o np_load.o okt_load.o pm01_load.o pm10_load.o pm20_load.o \
    pm_load.o pp10_load.o pru1_load.o pru2_load.o pt3_load.o ptm_load.o \
    rad_load.o s3m_load.o sfx_load.o stim_load.o stm_load.o stx_load.o \
    st_load.o tp_load.o ult_load.o unic_load.o wn_load.o xann_load.o \
    xm_load.o zen_load.o ice_load.o font1.o font2.o getopt.o getopt1.o \
    main.o options.o convert.o cruncher.o driver.o formats.o med_synth.o \
    misc.o mix_all.o period.o player.o readrc.o scan.o ulaw.o version.o

default: xmp2.exe

clean:

clean2:
	+del *.o
	+del version.c

install:

# This target will allow the nice-very-nice packaging system to work
# with this subdirectory

subdist::
	cp -dp $(DFILES) $(DISTDIR)


# The '+del version.o' will cause the build Date&Time to be recalculated for each build!

$(EXENAME): $(OBJ) $(DEFNAME)
	$(CC) $(CFLAGS) -o $(EXENAME) $(DEFNAME) $(OBJ) $(LIBS) $(LFLAGS)
	+del version.o
  
version.c:
	@echo char *xmp_version = "$(VERSION)"; \
	char *xmp_date = "$(DATE)";>$@ \
	char *xmp_build= "Compiled by $(XMP_OS2_BUILDER) on " __DATE__ " at " __TIME__;>>$@

version.o:	version.c \
			../include/common.h
	$(COMPILE) -o $@ -c version.c	

file.o:	../drivers/file.c \
			../include/common.h ../include/driver.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../drivers/file.c
os2_dart.o:	../drivers/os2_dart.c \
			../include/common.h ../include/driver.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../drivers/os2_dart.c



control.o:	../misc/control.c \
			../include/driver.h ../include/mixer.h ../include/formats.h
	$(COMPILE) -o $@ -c ../misc/control.c
crc32.o:	../misc/crc32.c \
			../include/formats.h
	$(COMPILE) -o $@ -c ../misc/crc32.c
depack.o:	../misc/depack.c \
			../include/common.h 
	$(COMPILE) -o $@ -c ../misc/depack.c
info.o:	../misc/info.c \
			../include/driver.h 
	$(COMPILE) -o $@ -c ../misc/info.c
ipc.o:	../misc/ipc.c \
			../include/common.h 
	$(COMPILE) -o $@ -c ../misc/ipc.c
load.o:	../misc/load.c \
			../include/driver.h ../include/convert.h
	$(COMPILE) -o $@ -c ../misc/load.c
mmcmp.o:	../misc/mmcmp.c \
			../include/common.h
	$(COMPILE) -o $@ -c ../misc/mmcmp.c
unsqsh.o:	../misc/unsqsh.c \
			../include/common.h
	$(COMPILE) -o $@ -c ../misc/unsqsh.c



common.o:	../loaders/common.c \
			../include/xmp.h ../include/period.h ../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/common.c
iff.o:	../loaders/iff.c \
			../loaders/include/iff.h ../include/common.h
	$(COMPILE) -o $@ -c ../loaders/iff.c
itsex.o:	../loaders/itsex.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/itsex.c


669_load.o:	../loaders/669_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/669_load.c
ac1d_load.o:	../loaders/ac1d_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ac1d_load.c
alm_load.o:	../loaders/alm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/alm_load.c
amd_load.o:	../loaders/amd_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/amd_load.c
crb_load.o:	../loaders/crb_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/crb_load.c
dbm_load.o:	../loaders/dbm_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/dbm_load.c
digi_load.o:	../loaders/digi_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/digi_load.c
di_load.o:	../loaders/di_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/di_load.c
emod_load.o:	../loaders/emod_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/emod_load.c
far_load.o:	../loaders/far_load.c \
			../loaders/include/load.h ../loaders/include/far.h
	$(COMPILE) -o $@ -c ../loaders/far_load.c
fcm_load.o:	../loaders/fcm_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/fcm_load.c
flt_load.o:	../loaders/flt_load.c \
			../loaders/include/load.h ../loaders/include/mod.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/flt_load.c
fnk_load.o:	../loaders/fnk_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/fnk_load.c
ftm_load.o:	../loaders/ftm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ftm_load.c
imf_load.o:	../loaders/imf_load.c \
			../loaders/include/load.h ../loaders/include/imf.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/imf_load.c
it_load.o:	../loaders/it_load.c \
			../loaders/include/load.h ../loaders/include/it.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/it_load.c
kris_load.o:	../loaders/kris_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/kris_load.c
ksm_load.o:	../loaders/ksm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ksm_load.c
liq_load.o:	../loaders/liq_load.c \
			../loaders/include/load.h ../loaders/include/liq.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/liq_load.c
mdl_load.o:	../loaders/mdl_load.c \
			../loaders/include/load.h ../loaders/include/iff.h ../loaders/include/mdl.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/mdl_load.c
med_load.o:	../loaders/med_load.c \
			../loaders/include/load.h ../loaders/include/med.h
	$(COMPILE) -o $@ -c ../loaders/med_load.c
mod_load.o:	../loaders/mod_load.c \
			../loaders/include/load.h ../loaders/include/mod.h
	$(COMPILE) -o $@ -c ../loaders/mod_load.c
mp_load.o:	../loaders/mp_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/mp_load.c
mtm_load.o:	../loaders/mtm_load.c \
			../loaders/include/load.h ../loaders/include/mtm.h
	$(COMPILE) -o $@ -c ../loaders/mtm_load.c
np_load.o:	../loaders/np_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/np_load.c
okt_load.o:	../loaders/okt_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/okt_load.c
pm01_load.o:	../loaders/pm01_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pm01_load.c
pm10_load.o:	../loaders/pm10_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pm10_load.c
pm20_load.o:	../loaders/pm20_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pm20_load.c
pm_load.o:	../loaders/pm_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pm_load.c
pp10_load.o:	../loaders/pp10_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pp10_load.c
pru1_load.o:	../loaders/pru1_load.c \
			../loaders/include/load.h ../loaders/include/mod.h
	$(COMPILE) -o $@ -c ../loaders/pru1_load.c
pru2_load.o:	../loaders/pru2_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pru2_load.c
pt3_load.o:	../loaders/pt3_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/pt3_load.c
ptm_load.o:	../loaders/ptm_load.c \
			../loaders/include/load.h ../loaders/include/ptm.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ptm_load.c
rad_load.o:	../loaders/rad_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/rad_load.c
s3m_load.o:	../loaders/s3m_load.c \
			../loaders/include/load.h ../loaders/include/s3m.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/s3m_load.c
sfx_load.o:	../loaders/sfx_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/sfx_load.c
stim_load.o:	../loaders/stim_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/stim_load.c
stm_load.o:	../loaders/stm_load.c \
			../loaders/include/load.h ../loaders/include/stm.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/stm_load.c
stx_load.o:	../loaders/stx_load.c \
			../loaders/include/load.h ../loaders/include/stx.h ../loaders/include/s3m.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/stx_load.c
st_load.o:	../loaders/st_load.c \
			../loaders/include/load.h ../loaders/include/mod.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/st_load.c
tp_load.o:	../loaders/tp_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/tp_load.c
ult_load.o:	../loaders/ult_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ult_load.c
unic_load.o:	../loaders/unic_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/unic_load.c
wn_load.o:	../loaders/wn_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/wn_load.c
xann_load.o:	../loaders/xann_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/xann_load.c
xm_load.o:	../loaders/xm_load.c \
			../loaders/include/load.h ../loaders/include/xm.h
	$(COMPILE) -o $@ -c ../loaders/xm_load.c
zen_load.o:	../loaders/zen_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/zen_load.c
ice_load.o:	../loaders/ice_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ice_load.c



font1.o:	../main/font1.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/font1.c
font2.o:	../main/font2.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/font2.c
getopt.o:	../main/getopt.c \
			../include/common.h
	$(COMPILE) -o $@ -c ../main/getopt.c
getopt1.o:	../main/getopt1.c \
			../include/getopt.h
	$(COMPILE) -o $@ -c ../main/getopt1.c
main.o:	../main/main.c \
			../include/xmp.h
	$(COMPILE) -o $@ -c ../main/main.c
options.o:	../main/options.c \
			../include/xmp.h
	$(COMPILE) -o $@ -c ../main/options.c
xpanel.o:	../main/xpanel.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/xpanel.c
xstuff.o:	../main/xstuff.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/xstuff.c




convert.o:	../player/convert.c \
			../include/xmp.h ../include/convert.h ../include/driver.h
	$(COMPILE) -o $@ -c ../player/convert.c
cruncher.o:	../player/cruncher.c \
			../include/driver.h ../include/convert.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../player/cruncher.c
driver.o:	../player/driver.c \
			../include/driver.h ../include/convert.h ../include/mixer.h ../include/period.h
	$(COMPILE) -o $@ -c ../player/driver.c
formats.o:	../player/formats.c \
			../include/common.h ../include/formats.h
	$(COMPILE) -o $@ -c ../player/formats.c
med_synth.o:	../player/med_synth.c \

=== src/player/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # Extended Module Player src/player/Makefile
-# $Id: Makefile,v 1.11 2007/10/31 23:49:58 cmatsuoka Exp $
 
 TOPDIR	= ../..
 XCFLAGS	= -DSYSCONFDIR=\"$(SYSCONFDIR)\" -I../include

## xmp 3.0.0+20090923

=== Makefile ===

VERSION	= 3.0.0-pre
DIST    = xmp-$(VERSION)
MODULES = "mod.syfuid.long"
DFILES  = README INSTALL configure configure.in Makefile Makefile.rules.in \
	  scripts $(MODULES)
DDIRS	= docs drivers etc include loaders misc player plugin prowiz win32 \
	  tunenet main
LIB	= libxmp.a
V	= 0

all: binaries

include Makefile.rules

# This is the "lib" part
include src/include/Makefile
include src/loaders/Makefile
include src/loaders/prowizard/Makefile
include src/misc/Makefile
include src/player/Makefile
include src/win32/Makefile

LOBJS = $(OBJS:.o=.lo)

# These are the applications
include src/drivers/Makefile
include src/main/Makefile
include src/plugin/Makefile
include src/plugin/tunenet/Makefile
include docs/Makefile
include etc/Makefile

sinclude src/test/Makefile

XCFLAGS = -Isrc/include -DSYSCONFDIR=\"$(SYSCONFDIR)\" -DVERSION=\"$(VERSION)\"

.SUFFIXES: .c .o .lo .a .so .dll

# Implicit rules for object generation. Position-independent code is intended
# to be used in plugins, so it's also built thread-safe and with the callback
# driver only.

.c.o:
	@CMD='$(CC) $(CFLAGS) $(XCFLAGS) -o $*.o $<'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $*.o ; fi; \
	eval $$CMD

.c.lo:
	@CMD='$(CC) $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) -o $*.lo $<'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $*.lo ; fi; \
	eval $$CMD


binaries: src/main/xmp $(PLUGINS)

# Legacy libxmp.a creation, in case someone needs it
#$(LIB): $(OBJS)
#	@CMD='$(AR) r $@ $(LOBJS)'; \
#	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo AR $@ ; fi; \
#	eval $$CMD
#	ranlib libxmp.a

clean:
	@rm -f $(OBJS) $(LIB) $(OBJS:.o=.lo) $(M_OBJS) $(D_OBJS) $(CLEAN)

install: install-xmp install-etc install-docs $(addprefix install-, $(PLUGINS))
	@echo
	@echo "  Installation complete. To customize, copy $(SYSCONFDIR)/xmp.conf"
	@echo "  and $(SYSCONFDIR)/modules.conf to \$$HOME/.xmp/"
	@echo


depend:
	@echo Building dependencies...
	@echo > $@
	@for i in $(OBJS) $(D_OBJS) $(M_OBJS); do \
	    c="$${i%.o}.c"; l="$${i%.o}.lo"; \
	    $(CC) $(CFLAGS) $(XCFLAGS) -MM -MG $$c | \
		sed "s!^.*\.o:!$$i $$l:!" >> $@ ; \
	done
	    
dist: dist-prepare dist-subdirs

dist-prepare:
	rm -Rf $(DIST) $(DIST).tar.gz
	mkdir -p $(DIST)
	cp -RPp $(DFILES) $(DIST)/

dist-subdirs: $(addprefix dist-,$(DDIRS))
	chmod -R u+w $(DIST)/*
	tar cvf - $(DIST) | gzip -9c > $(DIST).tar.gz
	rm -Rf $(DIST)
	ls -l $(DIST).tar.gz

$(OBJS): Makefile.rules

$(LOBJS): Makefile.rules

sinclude depend

=== src/drivers/Makefile ===

DRV	= file.c oss.c hpux.c bsd.c solaris.c oss_seq.c alsa.c alsa05.c \
	  esd.c sgi.c os2_dart.c netbsd.c openbsd.c aix.c nas.c arts.c qnx.c \
	  win32.c smix.c wav.c osx.c beos.c alsa_seq.c pulseaudio.c \
	  amiga.c sndio.c

DRIVERS_OBJS	= file.o wav.o
DRIVERS_LOBJS	= smix.lo
DRIVERS_DFILES	= Makefile $(DRV) debug.c
DRIVERS_PATH	= src/drivers

# Don't include platform-specific drivers in DRIVERS_OBJS so we can generate
# foreign makefiles from it (such as MSVC .dsp files, etc)

D_OBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_OBJS) $(DRIVERS))
D_LOBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_LOBJS))

dist-drivers:
	mkdir -p $(DIST)/$(DRIVERS_PATH)
	cp -RPp $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_DFILES)) $(DIST)/$(DRIVERS_PATH)

beos.o: src/drivers/beos.c
	g++ -c $(XCFLAGS) -o beos.o $+

arts.o: src/drivers/arts.c
	$(CC) $(CFLAGS) $(XCFLAGS) `artsc-config --cflags` -o $@ $+

=== src/loaders/Makefile ===

LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o alm_load.o amd_load.o rad_load.o \
	  ult_load.o mdl_load.o it_load.o stx_load.o pt3_load.o sfx_load.o \
	  flt_load.o st_load.o emod_load.o imf_load.o digi_load.o fnk_load.o \
	  ice_load.o hsc_load.o liq_load.o ims_load.o masi_load.o amf_load.o \
	  psm_load.o stim_load.o mmd1_load.o mmd3_load.o \
	  rtm_load.o dmf_load.o tcb_load.o dt_load.o gtk_load.o no_load.o \
	  arch_load.o sym_load.o dtt_load.o mgt_load.o med3_load.o \
	  med4_load.o ssmt_load.o dbm_load.o umx_load.o gdm_load.o \
	  coco_load.o pw_load.o gal5_load.o gal4_load.o

LOADERS_OBJS	= common.o iff.o itsex.o asif.o $(LOADERS)
LOADERS_DFILES	= Makefile $(LOADERS_OBJS:.o=.c) ftm_load.c med2_load.c \
		  asif.h far.h iff.h imf.h it.h liq.h load.h med.h mod.h \
		  mtm.h ptm.h rtm.h s3m.h stm.h stx.h xm.h
LOADERS_PATH	= src/loaders

OBJS += $(addprefix $(LOADERS_PATH)/,$(LOADERS_OBJS))

dist-loaders:
	mkdir -p $(DIST)/$(LOADERS_PATH)
	cp -RPp $(addprefix $(LOADERS_PATH)/,$(LOADERS_DFILES)) $(DIST)/$(LOADERS_PATH)

=== src/misc/Makefile ===

MISC_OBJS	= control.o info.o readdata.o load.o ppdepack.o unsqsh.o \
		  mmcmp.o readrle.o readhuff.o readlzw.o unarc.o arcfs.o \
		  oxm.o mkstemp.o xfd.o crc32.o inflate.o muse.o unlzx.o
MISC_DFILES	= Makefile $(MISC_OBJS:.o=.c)
MISC_PATH	= src/misc

OBJS += $(addprefix $(MISC_PATH)/,$(MISC_OBJS))

dist-misc:
	mkdir -p $(DIST)/$(MISC_PATH)
	cp -RPp $(addprefix $(MISC_PATH)/,$(MISC_DFILES)) $(DIST)/$(MISC_PATH)

=== src/plugin/Makefile ===

PLUGIN_OBJS	=
PLUGIN_DFILES	= Makefile $(PLUGIN_OBJS:.o=.c) xmms.c bmp.c audacious.c \
		  winamp.c resource.rc resource.h in2.h out.h
PLUGIN_PATH	= src/plugin

dist-plugin:
	mkdir -p $(DIST)/$(PLUGIN_PATH)
	cp -RPp $(addprefix $(PLUGIN_PATH)/,$(PLUGIN_DFILES)) $(DIST)/$(PLUGIN_PATH)


WINDRES = i586-mingw32msvc-windres


audacious: src/plugin/xmp-audacious.so

$(PLUGIN_PATH)/xmp-audacious.so: $(PLUGIN_PATH)/audacious.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/audacious.lo `pkg-config --libs audacious`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/audacious.lo: $(PLUGIN_PATH)/audacious.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `pkg-config --cflags audacious` -o $@ $(PLUGIN_PATH)/audacious.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-audacious:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir audacious`"; \
	echo "Installing xmp-audacious.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-audacious.so "$$DIR"



bmp: $(PLUGIN_PATH)/xmp-bmp.so

$(PLUGIN_PATH)/xmp-bmp.so: $(PLUGIN_PATH)/bmp.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/bmp.lo `pkg-config --libs bmp`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/bmp.lo: $(PLUGIN_PATH)/bmp.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `pkg-config --cflags bmp` -o $@ $(PLUGIN_PATH)/bmp.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-bmp:
	@DIR="$(DESTDIR)`pkg-config --variable=input_plugin_dir bmp`"; \
	echo "Installing xmp-bmp.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-bmp.so "$$DIR"



xmms: $(PLUGIN_PATH)/xmp-xmms.so

$(PLUGIN_PATH)s/xmp-xmms.so: $(PLUGIN_PATH)/xmms.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/xmms.lo `xmms-config --libs`'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/xmms.lo: $(PLUGIN_PATH)/xmms.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) -c $(CFLAGS) -fPIC -D_REENTRANT $(XCFLAGS) `xmms-config --cflags` -o $@ $(PLUGIN_PATH)/xmms.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

install-xmms:
	@DIR="$(DESTDIR)`xmms-config --input-plugin-dir`"; \
	echo "Installing xmp-xmms.so in $$DIR"; \
	[ -d "$$DIR" ] || mkdir -p "$$DIR"; \
	$(INSTALL_PROGRAM) $(PLUGIN_PATH)/xmp-xmms.so "$$DIR"



winamp: $(PLUGIN_PATH)/in_xmp.dll

$(PLUGIN_PATH)/in_xmp.dll: $(PLUGIN_PATH)/winamp.lo $(PLUGIN_PATH)/resource.lo $(LOBJS) $(D_LOBJS)
	@CMD='$(LD) -shared -mwindows -o $@ $(LOBJS) $(D_LOBJS) $(PLUGIN_PATH)/winamp.lo $(PLUGIN_PATH)/resource.lo'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo LD $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/winamp.lo: $(PLUGIN_PATH)/winamp.c $(PLUGIN_PATH)/Makefile
	@CMD='$(CC) $(CFLAGS) $(XCFLAGS) -o $@ $(PLUGIN_PATH)/winamp.c'; \
	if [ "$(V)" -gt 0 ]; then echo $$CMD; else echo CC $@ ; fi; \
	eval $$CMD

$(PLUGIN_PATH)/resource.lo: $(PLUGIN_PATH)/resource.rc $(PLUGIN_PATH)/resource.h
	$(WINDRES) -o$@ $(PLUGIN_PATH)/resource.rc

=== src/win32/Makefile ===

WIN32_OBJS	= ptpopen.o debug.o usleep.o
WIN32_DFILES	= Makefile $(WIN32_OBJS:.o=.c) unistd.h config.h ptpopen.h \
		  osdcomm.h sys xmp.dsp in_xmp.dsp xmp.dsp.in in_xmp.dsp.in
WIN32_PATH	= src/win32
WIN32_CLEAN	= in_xmp.dsp xmp.dsp

ifeq ($(PLATFORM_DIR),win32)
OBJS += $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))
CLEAN += $(addprefix $(WIN32_PATH)/,$(WIN32_CLEAN))
endif

dist-win32: dsps
	mkdir -p $(DIST)/$(WIN32_PATH)
	cp -RPp $(addprefix $(WIN32_PATH)/,$(WIN32_DFILES)) $(DIST)/$(WIN32_PATH)

# Always generate project files with windows drivers
W32DRV_OBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_OBJS) win32.o)
W32DRV_LOBJS	= $(addprefix $(DRIVERS_PATH)/,$(DRIVERS_LOBJS))
W_OBJS		= $(addprefix $(WIN32_PATH)/,$(WIN32_OBJS))

dsps: src/win32/xmp.dsp src/win32/in_xmp.dsp

src/win32/xmp.dsp: Makefile Makefile.rules src/*/Makefile
	@echo Generate $@
	@rm -f $@.tmp
	@for i in $(OBJS:.o=.c) $(W32DRV_OBJS:.o=.c) $(W_OBJS:.o=.c) $(M_OBJS:.o=.c); do \
	    echo "# Begin Source File" >> $@.tmp; \
	    echo >> $@.tmp; \
	    echo $$i | sed 's!^src!SOURCE=..!;s!/!\\!g' >> $@.tmp; \
	    echo "# End Source File" >> $@.tmp; \
	done
	@sed -e 's/@VERSION@/$(VERSION)/g;/@SOURCES@/{r $@.tmp' -e 'd' -e '}' < $@.in > $@
	@rm -f $@.tmp

src/win32/in_xmp.dsp: Makefile Makefile.rules src/*/Makefile
	@echo Generate $@
	@rm -f $@.tmp
	@for i in $(LOBJS:.lo=.c) $(W32DRV_LOBJS:.lo=.c) $(W_OBJS:.o=.c); do \
	    echo "# Begin Source File" >> $@.tmp; \
	    echo >> $@.tmp; \
	    echo $$i | sed 's!^src!SOURCE=..!;s!/!\\!g' >> $@.tmp; \
	    echo "# End Source File" >> $@.tmp; \
	done
	@sed -e 's/@VERSION@/$(VERSION)/g;/@SOURCES@/{r $@.tmp' -e 'd' -e '}' < $@.in > $@
	@rm -f $@.tmp

=== src/loaders/prowizard/Makefile ===

PROWIZ_OBJS	= prowiz.o ptktable.o tuning.o ac1d.o di.o eureka.o \
		  fc-m.o fuchs.o fuzzac.o gmc.o heatseek.o \
	  	  kris.o ksm.o mp.o np1.o np2.o np3.o p60a.o pm10c.o pm18a.o \
		  pha.o prun1.o prun2.o tdd.o unic.o unic2.o wn.o zen.o \
		  tp3.o p40.o xann.o p50a.o pp21.o starpack.o
PROWIZ_OBJS2	= hrt.o noiserun.o p61a.o pm.o pm01.o \
		  pm20.o pm40.o pp10.o pp30.o skyt.o tp1.o tp2.o
PROWIZ_DFILES	= Makefile $(PROWIZ_OBJS:.o=.c) $(PROWIZ_OBJS2:.o=.c) prowiz.h
PROWIZ_PATH	= src/loaders/prowizard

OBJS += $(addprefix $(PROWIZ_PATH)/, $(PROWIZ_OBJS))

dist-prowiz:
	mkdir -p $(DIST)/$(PROWIZ_PATH)
	cp -RPp $(addprefix $(PROWIZ_PATH)/,$(PROWIZ_DFILES)) $(DIST)/$(PROWIZ_PATH)

=== src/plugin/tunenet/Makefile ===

TUNENET_OBJS	= Init.o Obtain.o Release.o AnnouncePlayer.o InitPlayer.o \
		  OpenPlayer.o ClosePlayer.o DoNotify.o DecodeFramePlayer.o \
		  ExitPlayer.o SeekPlayer.o TestPlayer.o
TUNENET_DFILES	= Makefile $(TUNENET_OBJS:.o=.c) include Vectors.cpp
TUNENET_PATH	= src/plugin/tunenet

tunenet: tn_xmp

dist-tunenet: $(TUNENET_PATH)/include/TN_XMP.tnplug_rev.h
	mkdir -p $(DIST)/$(TUNENET_PATH)
	cp -RPp $(addprefix $(TUNENET_PATH)/,$(TUNENET_DFILES)) $(DIST)/$(TUNENET_PATH)

TN_OBJS = $(addprefix $(TUNENET_PATH)/,$(TUNENET_OBJS)) $(LOBJS) $(D_LOBJS)


tn_xmp: $(TUNENET_PATH)/XMP.tnplug

$(TUNENET_PATH)/XMP.tnplug: $(TN_OBJS)
	$(LD) -mcrt=newlib -nostartfiles -o $@ $(TN_OBJS) $(LIBS)

$(TUNENET_PATH)/include/TN_XMP.tnplug_rev.h: Makefile
	ver=`echo $(VERSION)|sed 's/\([0-9]*\)\.[0-9]*\.[0-9]*.*/\1/'`; \
	rev=`echo $(VERSION)|sed 's/[0-9]*\.\([0-9]*\)\.[0-9]*.*/\1/'`; \
	sub=`echo $(VERSION)|sed 's/[0-9]*\.[0-9]*\.\([0-9]*\).*/\1/'`; \
	sed "s/@VER@/$$ver/g;s/@REV@/$$rev/g;s/@SUB@/$$sub/g" < $@.in > $@

## xmp 3.0.0-1

=== debian/changelog ===
xmp (3.0.0-1) stable; urgency=low

  * Initial package.


 -- Aranel Surion <aranel@aranelsurion.org>  Tue, 03 Nov 2010 23:19:14 +0200

=== debian/control ===
Source: xmp
Section: user/multimedia
Priority: optional
Maintainer: Aranel Surion <aranel@aranelsurion.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: xmp
Maemo-Display-Name: xmp
Architecture: armel
Depends: ${shlibs:Depends}
Description: CLI-based module player.
 CLI-based module player. Xmp plays over 90 mainstream and obscure module formats from Amiga, Atari, Acorn, Apple IIgs and PC.
XSBC-Bugtracker: mailto:aranel@aranelsurion.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

## xmp 3.0.0-2

=== debian/changelog ===
xmp (3.0.0-2) stable; urgency=low

  * Simplified description field.


 -- Aranel Surion <aranel@aranelsurion.org>  Tue, 04 Nov 2010 22:35:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}
 Description: CLI-based module player.
- CLI-based module player. Xmp plays over 90 mainstream and obscure module formats from Amiga, Atari, Acorn, Apple IIgs and PC.
+ CLI-based module player. Xmp plays over 90 mainstream and obscure module formats.
 XSBC-Bugtracker: mailto:aranel@aranelsurion.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	mkdir -p "$(CURDIR)/debian/xmp"

	mkdir -p "$(CURDIR)/debian/xmp/opt/xmp/"
	cp -a "src/opt/xmp/xmp" "$(CURDIR)/debian/xmp/opt/xmp/xmp"
	mkdir -p "$(CURDIR)/debian/xmp/usr/bin/"
	ln -s "/opt/xmp/xmp" "$(CURDIR)/debian/xmp/usr/bin/xmp"
# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
